> For the complete documentation index, see [llms.txt](https://docs.medcrypt.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.medcrypt.com/ko/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-utilities-provisionfiles.md).

# medcrypt::guardian::utilities::ProvisionFiles

## 개요

이는 [GenerateProvisionRequest()](/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-guardian.md#step-3-run-generateprovisionrequest).

**요구 사항:**

* **입력:**
  * 모든 `const char*` 입력은 로드된 버퍼의 시작 위치를 가리키도록 설정해야 합니다.
  * 모든 `size_t` 입력은 버퍼에 로드된 데이터의 크기로 설정해야 합니다.
* **출력:**
  * 모든 `char*` 출력은 할당된 버퍼의 시작 위치를 가리키도록 설정해야 합니다.
  * 모든 `size_t` 출력은 할당된 버퍼의 크기로 설정해야 합니다. 성공하면 기록된 데이터의 크기로 설정됩니다.

**사용법:**

* 이 구조체는 [GenerateProvisionRequest()](/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-guardian.md#step-3-run-generateprovisionrequest) 와 함께 사용하여 프로비저닝 파일을 생성합니다.
* 사용 예는 FileHelpers.h의 GetProvisionFilesFromPath() 및 DeleteProvisionFileBuffers()를 참조하세요.

**포함:**

```cpp
#include <ProvisionFiles.h>
```

**구문:**

```cpp
struct medcrypt::guardian::utilities::ProvisionFiles;
```

### 구조체 멤버

**입력 멤버:**

* **TrustStore:** 신뢰 저장소 파일 버퍼
* **TrustStoreSize:** 신뢰 저장소 파일 버퍼 크기
* **PrivateIdentity:** 개인 ID 파일 버퍼
* **PrivateIdentitySize:** 개인 ID 파일 버퍼 크기
* **CertifiedProfile:** 인증된 프로필 파일 버퍼
* **CertifiedProfileSize:** 인증된 프로필 파일 버퍼 크기
* **CertifiedCertificateRevocations:** 인증서 폐기 파일 버퍼
* **CertifiedCertificateRevocationsSize:** 인증서 폐기 파일 버퍼 크기

**출력 멤버:**

* **ProvisionRequest:** 프로비저닝 요청 파일 버퍼
* **ProvisionRequestSize:** 프로비저닝 요청 파일 버퍼 크기
* **GeneratedPrivateIdentity:** 생성된 개인 ID 파일 버퍼
* **GeneratedPrivateIdentitySize:** 생성된 개인 ID 파일 버퍼 크기

### 멤버 세부 정보

#### 입력 멤버:

#### TrustStore <a href="#variable-truststore" id="variable-truststore"></a>

* **설명:** 신뢰 저장소 파일 버퍼입니다.
* **유형:** `const char*`
* **사용법:** 입력
* **구문:**

```cpp
const char * TrustStore;
```

#### TrustStoreSize <a href="#variable-truststoresize" id="variable-truststoresize"></a>

* **설명:** 신뢰 저장소 파일 버퍼 크기입니다.
* **유형:** `size_t`
* **사용법:** 입력
* **구문:**

```cpp
size_t TrustStoreSize;
```

#### PrivateIdentity <a href="#variable-privateidentity" id="variable-privateidentity"></a>

* **설명:** 개인 ID 파일 버퍼입니다.
* **유형:** `const char*`
* **사용법:** 입력
* **구문:**

```cpp
const char * PrivateIdentity;
```

#### PrivateIdentitySize <a href="#variable-privateidentitysize" id="variable-privateidentitysize"></a>

* **설명:** 개인 ID 파일 버퍼 크기입니다.
* **유형:** `size_t`
* **사용법:** 입력
* **구문:**

```cpp
size_t PrivateIdentitySize;
```

#### CertifiedProfile <a href="#variable-certifiedprofile" id="variable-certifiedprofile"></a>

* **설명:** 인증된 프로필 파일 버퍼입니다.
* **유형:** `const char*`
* **사용법:** 입력
* **구문:**

```cpp
const char * CertifiedProfile;
```

#### CertifiedProfileSize <a href="#variable-certifiedprofilesize" id="variable-certifiedprofilesize"></a>

* **설명:** 인증된 프로필 파일 버퍼 크기입니다.
* **유형:** `size_t`
* **사용법:** 입력
* **구문:**

```cpp
size_t CertifiedProfileSize;
```

#### CertifiedCertificateRevocations <a href="#variable-certifiedcertificaterevocations" id="variable-certifiedcertificaterevocations"></a>

* **설명:** 인증서 폐지 파일 버퍼입니다.
* **유형:** `const char*`
* **사용법:** 입력
* **구문:**

```cpp
const char * CertifiedCertificateRevocations;
```

#### CertifiedCertificateRevocationsSize <a href="#variable-certifiedcertificaterevocationssize" id="variable-certifiedcertificaterevocationssize"></a>

* **설명:** 인증서 폐지 파일 버퍼 크기입니다.
* **유형:** `size_t`
* **사용법:** 입력
* **구문:**

```cpp
size_t CertifiedCertificateRevocationsSize;
```

#### 출력 멤버:

#### ProvisionRequest <a href="#variable-provisionrequest" id="variable-provisionrequest"></a>

* **설명:** 프로비저닝 요청 파일 버퍼입니다.
* **유형:** `char*`
* **사용법:** 출력
* **구문:**

```cpp
char * ProvisionRequest;
```

#### ProvisionRequestSize <a href="#variable-provisionrequestsize" id="variable-provisionrequestsize"></a>

* **설명:** 프로비저닝 요청 파일 버퍼 크기입니다.
  * **입력:** 할당된 버퍼 크기입니다.
  * **출력:** 실제로 기록된 데이터 크기입니다.
* **유형:** `size_t`
* **사용법:** 입력/출력
* **구문:**

```cpp
size_t ProvisionRequestSize;
```

#### GeneratedPrivateIdentity <a href="#variable-generatedprivateidentity" id="variable-generatedprivateidentity"></a>

* **설명:** 생성된 개인 ID 파일 버퍼입니다.
* **유형:** `char*`
* **사용법:** 출력
* **구문:**

```cpp
char * GeneratedPrivateIdentity;
```

#### GeneratedPrivateIdentitySize <a href="#variable-generatedprivateidentitysize" id="variable-generatedprivateidentitysize"></a>

* **설명:** 생성된 개인 ID 파일 버퍼 크기입니다.
  * **입력:** 할당된 버퍼 크기입니다.
  * **출력:** 실제로 기록된 데이터 크기입니다.
* **유형:** `size_t`
* **사용법:** 입력/출력
* **구문:**

```cpp
size_t GeneratedPrivateIdentitySize;
```

### 관련 클래스

* [Guardian 클래스](/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-guardian.md#overview): 다음을 사용합니다 `ProvisionFiles` 의 [GenerateProvisionRequest()](/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-guardian.md#step-3-run-generateprovisionrequest)
* [InitializeFiles 구조체](/ko/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-utilities-initializefiles.md) - 초기화에 사용되는 유사한 파일 구조
* [ProvisionOnlineFiles 구조체](/ko/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-utilities-provisiononlinefiles.md) - 온라인 프로비저닝에 사용되는 파일 구조

## 디버깅 및 로깅

Guardian은 로그 파일을 생성하지 않습니다. 대신 로깅은 애플리케이션에서 제어합니다.

* Guardian은 로그를 다음으로 출력합니다: `stdout` 및 `stderr`이러한 로그는 실행 중인 애플리케이션의 터미널/CLI에 표시됩니다. 출력에서 특정 오류 코드나 연결 실패를 확인하세요.
* **사용자 지정 로깅:** 다음을 사용하여 `SetLoggingCallback` 로그 메시지를 콜백 함수로 리디렉션할 수 있습니다. 이렇게 하면 터미널 출력이 중단되고 사용자 지정 로그 처리가 가능해집니다.
* **로그 제어:** 애플리케이션에서 로그 수준과 상세도를 제어할 수 있습니다.
* **Guardian Cloud UI**: Guardian Cloud 인터페이스에서 추가 오류 세부 정보와 프로비저닝 상태를 확인하세요.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.medcrypt.com/ko/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-utilities-provisionfiles.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
